Loading...
Searching...
No Matches
pqxx::internal::result_iter< TYPE > Class Template Reference

Iterator for looped unpacking of a result. More...

## Public Types

using | value_type = std::tuple< TYPE... >

## Public Member Functions

| result_iter ()=default
| Construct an "end" iterator.
| result_iter (result const &home)
| result_iter (result_iter const &)=default
result_iter & | operator++ ()
bool | operator== (result_iter const &rhs) const
| Comparison only works for comparing to end().
bool | operator!= (result_iter const &rhs) const
value_type const & | operator* () const

## Detailed Description

template<typename... TYPE>
class pqxx::internal::result_iter< TYPE >

Iterator for looped unpacking of a result.

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/result_iter.hxx